@import url('https://fonts.googleapis.com/css2?family=Crimson+Text&family=Dosis:wght@400;600;700&display=swap');

:root {
    --serif: 'Crimson Text', serif;
    --sans: 'Dosis', sans-serif;

    --black: #121117;
    --purple-shadow: #1f1e28;
    --purple: #2c2a39;
    --purple-highlight: #45425a;
    --mix-dark: #575c55;
    --mix-light: #6c7d47;
    --green-shadow: #96a13a;
    --green: #acc12f;
    --green-highlight: #d2de8f;
    --white: #f8faef;
}

header {
    background-color: var(--white);
    color: var(--black);
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 20px;
    position: fixed;
    top: 0;
    width: 90%;
    left: 50%;
    transform: translateX(-50%);
    border-radius: 0 0 20px 20px;
    z-index: 50;
}

.left-header {
    order: 1;
}

.menu-btn {
    background-color: transparent;
    border: none;
    font-size: 24px;
    cursor: pointer;
}

.center-header {
    order: 2;
    flex-grow: 1;
}

.right-header {
    order: 3;
    display: flex;
    align-items: center;
}

.brand-name {
    font-size: 24px;
    font-family: var(--sans);
    margin: 0;
}

.fa-bars {
    color: var(--black);
}

.fa-apple-alt {
    color: var(--green);
    margin-left: 10px;
}

.navbar {
    position: fixed;
    top: 0;
    left: -300px;
    height: 100%;
    width: 300px;
    background-color: var(--purple);
    color: var(--white);
    font-family: inherit;
    font-size: 24px;
    transition: transform 0.3s ease-out;
    z-index: 200;
}

.navbar.active {
    transform: translateX(300px);
}

.navbar-toggle {
    background-color: transparent;
    border: 0;
    font-size: 18pt;
    cursor: pointer;
}

.close-btn {
    cursor: pointer;
    width: 10%;
    padding: 0.75em;
}

.navbar ul {
    list-style: none;
    margin: 0;
    padding: 0;
}

.navbar li {
    padding: 15px;
}

.navbar li:hover {
    cursor: pointer;
}

.navbar a {
    color: inherit;
    text-decoration: none;
}

.navbar hr {
    border: none;
    border-top: 1px solid var(--purple-highlight);
    margin: 15px 0;
}

.social-media-icons {
    display: flex;
    justify-content: space-between;
    padding: 2em;
}

.social-media-icons i {
    color: var(--green);
    font-size: 24px;
}

.overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.6);
    opacity: 0;
    visibility: hidden;
    transition: opacity 0.3s ease-out;
    z-index: 100;
}

.overlay.active {
    opacity: 1;
    visibility: visible;
}

html {
    background-color: var(--purple);
    font-family: var(--sans);
}

main {
    width: 100%;
}

.img-container {
    width: 100%;
    overflow: hidden;
}

.main-image {
    display: block;
    width: 100%;
}

.main-image img {
    display: block;
    width: 100%;
    height: auto;
    object-fit: cover;
    z-index: 10;
}

#welcome-text {
    background-color: var(--white);
    padding: 1em;
    
}

#welcome-text p {
    margin: 0;
}

#sidebar {
    display: none;
}

#order {
    width: 100%;
    display: inline-block;
    padding: 1em;
    background-color: var(--green);
    max-height: 250px;
}

#order button {
    background-color: var(--purple);
    border: none;
    border-radius: 10px;
    color: var(--white);
    width: 45%;
    margin: 0 auto;
    display: block;
    margin-top: 15px;
    cursor: pointer;
}

#order button:hover {
    background-color: var(--purple-highlight);
}

#order p {
    width: 95%;
    font-size: 1.3rem;
    text-align: center;

}

#create-btn, #create-btn:visited {
    text-align: center;
    left: 0;
    display: block;
    padding: 1em;
    text-decoration: none;
    color: var(--white);   
    width: 100%;
    height: 100%;
    transform: translate(-5%);
}

footer {
    position: relative;
    bottom: 0;
    left: 50%;
    transform: translateX(-50%);
    width: 100%;
    height: 300px;
    display: flex;
    background-color: var(--purple);
    color: var(--white);
    z-index: 30;
    flex-direction: column;
    align-items: center;
}

footer iframe {
    border: 0;
    margin-left: 10px;
}

.left-footer {
    margin-top: 15px;
    order: 1;
    
}

.center-footer {
    order: 2;
    display: flex;
    justify-content: flex-start;
    align-items: stretch;
    padding: 0 20px;
    flex-grow: 1;
    flex-direction: column;
    text-align: center;
}

.center-footer i {
    font-size: 24px;
    margin-top: 50px;
}

.center-footer p {
    display: block;
    margin: 0;
    font-size: 14px;
    font-family: var(--sans);
    padding: 1em;
}

.right-footer {
    order: 3;
    display: flex;
    justify-content: flex-end;
    align-items: center;
    padding: 0 20px;
    flex-grow: 0;
}

.right-footer i {
    color: var(--green);
    font-size: 36px;
    padding: 0.25em;
    cursor: default !important;
}

.right-footer i::before{
    cursor: pointer;
}

#about-us-page {
    background-color: #fff;
    color: var(--purple-highlight);
    display: flex;
    flex-direction: column;
    margin: 2rem auto;
    max-width: 800px;
    padding: 2rem;
}

#about-us-page h2 {
    color: var(--purple);
    font-size: 2rem;
    margin-bottom: 1rem;
}

#about-us-page p {
    font-size: 1.2rem;
    line-height: 1.5;
    margin-bottom: 1rem;
}